Bug 54712 - linker doesn't link correctly c++ program
Summary: linker doesn't link correctly c++ program
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-16 19:31 UTC by elylevy
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 19:35:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the sources of bug causing program (897.61 KB, x/gzip)
2001-10-16 19:35 UTC, elylevy
no flags Details

Description elylevy 2001-10-16 19:31:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
adding meaningless includes to program causes linker to
compile c++ program with exception handling incorrectly
bug reported on both 7.1 and 7.2beta2 as well but when downgrading binutils
to 2.2.10 the problem disappear
Note:This program is done by students here at the university
so I'm not sure about it's copyrights
 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.do make on included program and run - output is aborted
2.do g++ *.cpp and run - output is "ill for ex."
3.
	

Additional info:

Comment 1 elylevy 2001-10-16 19:35:05 UTC
Created attachment 34221 [details]
the sources of bug causing program

Comment 2 Jakub Jelinek 2001-10-17 10:41:58 UTC
This has nothing to do with the linker (plus I'm not aware of binutils 2.2.10).
Instead of printing Ill for ex. test.cpp should print ilfe.getMessage() so
that you'd know txt1 has a missing = in it.

Comment 3 elylevy 2001-10-17 16:32:04 UTC
1] binutils 2.10.0.18-1 comes with redhat 7.0

2]txt1 was supposed to cause exception
  in one case - it caught(with binutils 2.10)
  in second doesn't (win binutils 2.11)
  and program aborted




Note You need to log in before you can comment on or make changes to this bug.